ESFAttributes (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.esf

## Interface ESFAttributes

-     public interface ESFAttributes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `archiveTimestamp`
    `static ASN1ObjectIdentifier` | `archiveTimestampV2`
    `static ASN1ObjectIdentifier` | `certCRLTimestamp`
    `static ASN1ObjectIdentifier` | `certificateRefs`
    `static ASN1ObjectIdentifier` | `certValues`
    `static ASN1ObjectIdentifier` | `commitmentType`
    `static ASN1ObjectIdentifier` | `contentTimestamp`
    `static ASN1ObjectIdentifier` | `escTimeStamp`
    `static ASN1ObjectIdentifier` | `otherSigCert`
    `static ASN1ObjectIdentifier` | `revocationRefs`
    `static ASN1ObjectIdentifier` | `revocationValues`
    `static ASN1ObjectIdentifier` | `signerAttr`
    `static ASN1ObjectIdentifier` | `signerLocation`
    `static ASN1ObjectIdentifier` | `sigPolicyId`

- - ### Field Detail

    - #### sigPolicyId

          static final ASN1ObjectIdentifier sigPolicyId

    - #### commitmentType

          static final ASN1ObjectIdentifier commitmentType

    - #### signerLocation

          static final ASN1ObjectIdentifier signerLocation

    - #### signerAttr

          static final ASN1ObjectIdentifier signerAttr

    - #### otherSigCert

          static final ASN1ObjectIdentifier otherSigCert

    - #### contentTimestamp

          static final ASN1ObjectIdentifier contentTimestamp

    - #### certificateRefs

          static final ASN1ObjectIdentifier certificateRefs

    - #### revocationRefs

          static final ASN1ObjectIdentifier revocationRefs

    - #### certValues

          static final ASN1ObjectIdentifier certValues

    - #### revocationValues

          static final ASN1ObjectIdentifier revocationValues

    - #### escTimeStamp

          static final ASN1ObjectIdentifier escTimeStamp

    - #### certCRLTimestamp

          static final ASN1ObjectIdentifier certCRLTimestamp

    - #### archiveTimestamp

          static final ASN1ObjectIdentifier archiveTimestamp

    - #### archiveTimestampV2

          static final ASN1ObjectIdentifier archiveTimestampV2